/Users/bernard/b20/bsoft/src/rwimg/rwSUPRIM.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwimg/rwSUPRIM.cpp - Functions for reading and writing SUPRIM files.

SYNOPSIS

#include 'rwSUPRIM.h'
#include 'file_util.h'
#include 'utilities.h'

  Functions
View view_from_suprim_euler (SUPRIMhead *header)
int suprim_euler_from_view (SUPRIMhead *header, View view)
int readSUPRIM (Bimage *p, int readdata)
Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called 'registers' up to 1024 bytes of 'trace' records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard.
int writeSUPRIM (Bimage *p)
Writing a SUPRIM map image file format. A 3D image format used in electron microscopy.

  Variables
int verbose

Detailed Description

Functions for reading and writing SUPRIM files.

Author:
    Bernard Heymann

Date:
    Created: 19990930

    Modified: 20120409

Definition in file rwSUPRIM.cpp.

Function Documentation

  int readSUPRIM (Bimage * p, int readdata)

Reading a SUPRIM map image file format. A 3D image format used in electron microscopy. Header size: 36 bytes basic fields 512 bytes additional fields called 'registers' up to 1024 bytes of 'trace' records File format extensions: .spm, .sup Byte order determination: Version and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float, 4 = run-length-encoded float, 5 = short, 6 = RGB, 7 = int, 8 = double. Transform type: Standard.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure).

Definition at line 60 of file rwSUPRIM.cpp.

  int suprim_euler_from_view (SUPRIMhead * header, View view)

Definition at line 31 of file rwSUPRIM.cpp.

  View view_from_suprim_euler (SUPRIMhead * header)

Definition at line 16 of file rwSUPRIM.cpp.

  int writeSUPRIM (Bimage * p)

Writing a SUPRIM map image file format. A 3D image format used in electron microscopy.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure).

Definition at line 203 of file rwSUPRIM.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.